Package com.stardog.stark.util

# Class ASCIIUtil

java.lang.Object
com.stardog.stark.util.ASCIIUtil

public class ASCIIUtil extends Object
Utility methods for ASCII character checking.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ASCIIUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isHex(int c)`
  Check whether the supplied character is a Hexadecimal character.
  `static boolean`
  `isLetter(int c)`
  Checks whether the supplied character is a letter.
  `static boolean`
  `isLetterOrNumber(int c)`
  Checks whether the supplied character is a letter or number.
  `static boolean`
  `isLowerCaseLetter(int c)`
  Checks whether the supplied character is an lower-case letter.
  `static boolean`
  `isNumber(int c)`
  Checks whether the supplied character is a number
  `static boolean`
  `isUpperCaseLetter(int c)`
  Checks whether the supplied character is an upper-case letter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ASCIIUtil

    public ASCIIUtil()

- ## Method Details

  - ### isLetterOrNumber

    public static boolean isLetterOrNumber(int c)
    Checks whether the supplied character is a letter or number.
    See Also:
      - `isLetter(int)`
      - `isNumber(int)`

  - ### isLetter

    public static boolean isLetter(int c)
    Checks whether the supplied character is a letter.

  - ### isUpperCaseLetter

    public static boolean isUpperCaseLetter(int c)
    Checks whether the supplied character is an upper-case letter.

  - ### isLowerCaseLetter

    public static boolean isLowerCaseLetter(int c)
    Checks whether the supplied character is an lower-case letter.

  - ### isNumber

    public static boolean isNumber(int c)
    Checks whether the supplied character is a number

  - ### isHex

    public static boolean isHex(int c)
    Check whether the supplied character is a Hexadecimal character.
    Parameters:
      `c` -
    Returns:
      `true` if c is a hexadecimal character, `false` otherwise.